<html>
	<head> 
		<meta charset="utf-8">
		<link rel="stylesheet" href="{{ url_for('static',filename='styles/style.css') }}" type="text/css">
		<link href='https://fonts.googleapis.com/css?family=Nunito:400,300' rel='stylesheet' type='text/css'>
	</head>
	<body>
		<div class="topnav" id="myTopnav">
			  <a href="/">Home</a>
			  <a href="consultar">Consultar</a>
			  <a href="anyadir"> Añadir</a>
			  <a href="borrar">Borrar</a>
			  <a href="modificar" class="active">Modificar</a>
		</div>
		<form action="modificador" method="get" onsubmit="return validacion()">
			<h1>Modificar</h1>
			<legend><span class="punto"> </span>De la siguiente tabla:</legend>
			<select id="tablas" name="tablas">
				<option value="productos" onclick="myFunction1()">Productos</option>
				<option value="fabricantes" onclick="myFunction2()">Fabricantes</option>
				<option value="tipos" onclick="myFunction3()">Tipos</option>
			</select>
			
				<div id="productos">
					<legend><span class="punto"> </span>Dónde:</legend>
						<select name="tablas_mod">
							<option value="id_mat" >id_mat</option>
							<option value="descripcion" >descripción</option>
							<option value="precio" >precio</option>
							<option value="id_fab" >id_fab</option>
							<option value="id_tipo" >id_tipo</option>
						</select>
						
						<legend><span class="punto"> </span>Sea:</legend>
						<input type="text" id="columna1" name="columna1" value=""><br>
						
	
					<legend><span class="punto"> </span>Modificar de la siguiente columna:</legend>
						<select name="tablas2_mod">
							<option value="id_mat" >id_mat</option>
							<option value="descripcion" >descripción</option>
							<option value="precio" >precio</option>
							<option value="id_fab" >id_fab</option>
							<option value="id_tipo" >id_tipo</option>
						</select>
						
						<legend><span class="punto"> </span>A:</legend>
						<input type="text" id="columna2" name="columna2" value=""><br>
				</div>
				
				<div id="fabricantes">
					
					
					<legend><span class="punto"> </span>Dónde:</legend>
						<select name="tablas3_mod">
							<option value="id_fab" >id_fab</option>
							<option value="descripcion" >descripción</option>
							<option value="fecha_alta" >fecha_alta</option>
						</select>
						
						<legend><span class="punto"> </span>Sea:</legend>
						<input type="text" id="columna3" name="columna3" value=""><br>
					
					<legend><span class="punto"> </span>Modificar la siguiente columna:</legend>
						<select name="tablas4_mod">
							<option value="id_fab" >id_fab</option>
							<option value="descripcion" >descripción</option>
							<option value="fecha_alta" >fecha_alta</option>
						</select>
						
						<legend><span class="punto"> </span>A:</legend>
						<input type="text" id="columna4" name="columna4" value=""><br>
					
				</div>
				
				<div id="tipos">
					<legend><span class="punto"> </span>Dónde:</legend>
						<select name="tablas5_mod">
							<option value="id_tipo" >id_tipo</option>
							<option value="tipo" >tipo</option>
						</select>
						
						<legend><span class="punto"> </span>Sea:</legend>
						<input type="text" id="columna5" name="columna5" value=""><br>
						
					<legend><span class="punto"> </span>Modificar la siguiente columna:</legend>
						<select name="tablas6_mod">
							<option value="id_tipo" >id_tipo</option>
							<option value="tipo" >tipo</option>
						</select>
						
						<legend><span class="punto"> </span>A:</legend>
						<input type="text" id="columna6" name="columna6" value=""><br>
				</div>

		  <br><br>
		  <input type="submit" class="myButton" value="Enviar">
		</form>
		
		
		{% if error == True %}
		
			<script>
			
				alert("Se ha producido un error a la hora de modificar. Vuelva a intentarlo.");
		
			</script>
			
		{% endif %}
		
		{% if error == False %}
		
			<script>
				
				alert("Se ha modificado con éxito.");
			
			</script>
			
		{% endif %}
		
		<script>
			
			function myFunction1() {
				document.getElementById("productos").style.display = "block";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "none";
			}    
			function myFunction2() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "block";
				document.getElementById("tipos").style.display = "none";
			}    
			function myFunction3() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "block";
			}
			function validacion() {
				tabla = document.getElementById("tablas").selectedIndex;
				if ( tabla == 0 ) {
					valor = document.getElementById("columna1").value;
					if( valor == null || valor.length == 0 || /^\s+$/.test(valor) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					valor2 = document.getElementById("columna2").value;
					if( valor2 == null || valor2.length == 0 || /^\s+$/.test(valor2) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}
				else if ( tabla == 1) {
					valor3 = document.getElementById("columna3").value;
					if( valor3 == null || valor3.length == 0 || /^\s+$/.test(valor3) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					valor4 = document.getElementById("columna4").value;
					if( valor4 == null || valor4.length == 0 || /^\s+$/.test(valor4) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}
				else {
					valor5 = document.getElementById("columna5").value;
					if( valor5 == null || valor5.length == 0 || /^\s+$/.test(valor5) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					valor6 = document.getElementById("columna6").value;
					if( valor6 == null || valor6.length == 0 || /^\s+$/.test(valor6) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}

			}
		</script>
	</body>

</html>
